## pngnq 0.3

=== Makefile ===
# Makefile for pngnq

CC=gcc

PNGINC = ../libpng
PNGLIB = /usr/lib

ZINC = ../zlib
ZLIB = ../zlib

CFLAGS = -O3 -g -Wall -I. -I$(PNGINC) -I$(ZINC) -funroll-loops -fomit-frame-pointer

#LDFLAGS = -L$(PNGLIB) -lpng -L$(ZLIB) -lz -lm
LDFLAGS = $(PNGLIB)/libpng.a -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a $(ZLIB)/libz.a -lm

OBJS = pngnq.o rwpng.o neuquant32.o

all: pngnq

pngnq: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

clean:
	rm -f pngnq $(OBJS)
