## pngnq 0.4.1

=== 0.4.1/Makefile ===
# Makefile for pngnq

CC=gcc

PNGINC = ../libpng
PNGLIB = /usr/lib

ZINC = ../zlib
ZLIB = ../zlib

CFLAGS = -O3 -g -Wall -pedantic -I. -I$(PNGINC) -I$(ZINC) -funroll-loops -fomit-frame-pointer

LDFLAGS = -L$(PNGLIB) -lpng -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a -L$(ZLIB) -lz -lm
#LDFLAGS = $(PNGLIB)/libpng.a $(ZLIB)/libz.a -lm

OBJS = pngnq.o rwpng.o neuquant32.o

all: pngnq pngcomp

pngnq: $(OBJS)
	$(CC) -o $@ $(OBJS) $(LDFLAGS)

pngcomp: rwpng.o pngcomp.o
	$(CC) -o $@ rwpng.o pngcomp.o $(LDFLAGS)

clean:
	rm -f pngnq pngcomp *.o
