## pngnq 1.1+ds

=== debian/changelog ===
pngnq (1.1+ds-3) unstable; urgency=medium

  * d/copyright:
      - add Upstream-Contact info
      - update year info to 2024
  * add d/p/rwpng.c-add-include-string.h.patch(Closes: #1065756)

 -- xiao sheng wen <atzlinux@sina.com>  Sun, 10 Mar 2024 10:14:05 +0800

pngnq (1.1+ds-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2
  * d/control: Suggests: + pngcrush
  * d/control: fix typo in description
  * Update d/p/pngnq.1.patch(Closes: #602592)
  * add d/p/add-o-option.patch(Closes: #670408)
  * add Forwarded: not-needed for patches
  * add xiao sheng wen as Uploaders

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 31 Aug 2023 21:41:37 +0800

pngnq (1.1+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Add missing build-dep pkg-config. (Closes: #1008342)
  * debian/patches/0005-configure.ac-Fix-grammar-error.patch: Add patch
    to fix grammar error in configure.ac.

 -- Boyuan Yang <byang@debian.org>  Sat, 30 Jul 2022 20:17:57 -0400

pngnq (1.1+ds-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Orphan the package.
  * debian/control:
    + Add Vcs-* fields.
    + Apply "wrap-and-sort -abst".
  * Bump debhelper compat to v13.
  * Bump Standards-Version to 4.6.0.
  * debian/rules: Migrate to dh
  * debian/source/format: Use "3.0 (quilt)".

  [ Andreas Tille ]
  * Move package to Debian Phototools team
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * watch file standard 4 (routine-update)
  * DEP5
  * Repack upstream source to remove remainings of freegetopt

 -- Andreas Tille <tille@debian.org>  Tue, 08 Mar 2022 07:50:27 +0100

pngnq (1.0-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace patch libpng16.patch with pngnq-1.1.patch, taken from the upstream
    bug https://sourceforge.net/p/pngnq/patches/5/, to fix the support for
    libpng >= 1.5. (Closes: #826797)

 -- Pino Toscano <pino@debian.org>  Sat, 06 Aug 2016 10:00:38 +0200

pngnq (1.0-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  [ Andreas Moog ]
  * Update fix-linker-libs.patch to allow building with --as-needed
    (LP: #770821, Closes: #634220)

  [ Jay R. Wren ]
  * Update homepage
  * Update std-version to 3.9.6, no changes required.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 28 Jan 2016 14:16:18 +0100

pngnq (1.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with libpng 1.5", adding missing include to zlib.h
    (Closes: #641889)
  * Change B-D to libpng-dev (Closes: #662473)

 -- Tobias Frost <tobi@debian.org>  Sun, 24 Jan 2016 12:09:13 +0100

pngnq (1.0-2) unstable; urgency=low

  * Fix FTBFS with binutils-gold (Closes: #556065):
    - New patch debian/patches/fix-linker-libs.patch

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 13 Nov 2009 19:28:00 -0200

pngnq (1.0-1) unstable; urgency=low

  * New upstream release;
  * Updated watch file;
  * Updated Standards-Version to 3.8.3 (no changes needed).

 -- Nelson A. de Oliveira <naoliv@debian.org>  Sun, 11 Oct 2009 16:51:42 -0300

pngnq (0.5-3) unstable; urgency=low

  * Fix segmentation fault when printing the version number (Closes: #491860).
    Thanks Johan Thelmén!
  * Bumped Standards-Version to 3.8.0 (no changes needed);
  * Using debhelper compat level 7.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Fri, 25 Jul 2008 23:16:03 -0300

pngnq (0.5-2) unstable; urgency=low

  * Fix manpages typos (Closes: #470425). Thank you, A. Costa!
  * Updated Standards-Version to 3.7.3 (no changes needed);
  * Bumped debhelper compat level to 6.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Tue, 11 Mar 2008 09:51:12 -0300

pngnq (0.5-1) unstable; urgency=low

  * New upstream release;
  * Updated maintainer e-mail;
  * Updated debian/control to use the new Homepage field;
  * Updated copyright file.

 -- Nelson A. de Oliveira <naoliv@debian.org>  Wed, 28 Nov 2007 23:16:51 -0200

pngnq (0.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #378148).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Sat, 15 Jul 2006 00:24:51 -0300

pngnq (0.3-2) unstable; urgency=low

  * Fix FTBFS (Closes: #374363);
  * Updated debian/copyright file;
  * Bumped Standards-Version to 3.7.2 (no changes needed);
  * Using debhelper compatibility level 5;
  * Added a space before Homepage: on the package long description.

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Sun, 18 Jun 2006 20:08:49 -0300

pngnq (0.3-1) unstable; urgency=low

  * Initial release (Closes: #334779).

 -- Nelson A. de Oliveira <naoliv@gmail.com>  Wed, 19 Oct 2005 18:37:18 -0200
