=== debian/control ===
Source: pngnq
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
 xiao sheng wen <atzlinux@sina.com>,
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 pkg-config,
 zlib1g-dev,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian-phototools-team/pngnq.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/pngnq
Homepage: http://pngnq.sourceforge.net
Rules-Requires-Root: no

Package: pngnq
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 pngcrush,
Description: tool for optimizing PNG (Portable Network Graphics) images
 Pngnq is a tool for quantizing 32-bit RGBA PNG images to 8-bit RGBA palette
 PNG. It's is an adaptation by Stuart Coyle of Greg Roelf's pnqquant. While
 pngquant uses a median cut algorithm, Pngnq uses Anthony Dekker's neuquant
 algorithm (http://members.ozemail.com.au/~dekker/NEUQUANT.HTML), generally
 resulting in better looking results than pngquant.
 .
 Optimizers (like pngcrush and optipng) optimize the compression, usually
 losslessly. pngnq quantizes colors down to 256 (or fewer) distinct RGBA
 combinations, which is quite lossy. Optimized PNGs are usually two to four
 times smaller than the 32-bit versions.
