=== debian/watch ===
version=4

opts="repacksuffix=+ds,dversionmangle=auto,repack,compression=xz" \
  http://sf.net/pngnq/pngnq-([\d\.]+)\.tar\.gz
